Subject: RE: bug#5040: 23.1; w32-register-hot-key problem

From: "Drew Adams" <[email-masked]>
Date: Wed, 25 Nov 2009 14:18:03 -0800

> >> > As I said:
> >> > 1. It works perfectly after the first time you hit `M-TAB'.
> >> > 2. It works perfectly in Emacs 20 and 21, even the first time.
> >> >
> >> > So AFAICS what you say is simply not true, at least for me
> >> > (Windows XP SP3).
> >>
> >> Why does it matter that it worked for you before?
> >
> > Huh? Who said anything about "before"?
> >
> > It works for me NOW. And probably for others too.
> > It works in Emacs 20 and 21 always,
> >   including the first time I hit `M-TAB'.
> > It works in Emacs 22 and 23 also,
> >   EXCEPT for the first time I hit `M-TAB'.
> >
> > This is a regression starting in Emacs 22. We know it is 
> > possible for it to work starting with the first `M-TAB',
> > because it does (still) work in older Emacs versions (now,
> > not "before').
> 
> > No, it is not guaranteed to work. If you want to be sure that it works
> > you need something like the low level keyboard path I have suggested
> > before.

Lennart, we don't seem to be communicating.
"No", what?  Did I say anything about guarantees?

I said it works FOR ME (Windows XP SP3), and I suspect for at least some others
also. (Have you tried it (with emacs -Q)? Does it work for you? You might be
surprised that it does.)

What is THIS bug report about? There is a minor regression starting with Emacs
22. THAT'S ALL.

Please don't turn this into a discussion/rant about the Windows/Emacs patching
you "have suggested before". All I'm asking for is that this particular bug be
fixed - to make Emacs do again what it did in Emacs 21. Nothing more.

Let's not let the perfect become the enemy of the good. If you want to file
another bug about guarantees, low-level patches, and other things, feel free. I
have no objection to perfection ;-). But while waiting, let's see if this can be
fixed to at least let Emacs do what it did before.